Bug 730521 (CVE-2011-2378) - CVE-2011-2378 Mozilla: Dangling pointer vulnerability in appendChild
Summary: CVE-2011-2378 Mozilla: Dangling pointer vulnerability in appendChild
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2378
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110816,reported=20110814,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-14 04:23 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 18:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 16:24:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1164 normal SHIPPED_LIVE Critical: firefox security update 2011-08-16 18:44:56 UTC
Red Hat Product Errata RHSA-2011:1166 normal SHIPPED_LIVE Critical: thunderbird security update 2011-08-16 18:33:47 UTC

Description Huzaifa S. Sidhpurwala 2011-08-14 04:23:05 UTC
Security researcher regenrecht reported via TippingPoint's Zero Day Initiative that appendChild did not correctly account for DOM objects it operated upon and could be exploited to dereference an invalid pointer.

Comment 1 Vincent Danen 2011-08-16 17:36:48 UTC
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-30.html

Comment 2 errata-xmlrpc 2011-08-16 18:34:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1166 https://rhn.redhat.com/errata/RHSA-2011-1166.html

Comment 3 errata-xmlrpc 2011-08-16 18:45:14 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1164 https://rhn.redhat.com/errata/RHSA-2011-1164.html


Note You need to log in before you can comment on or make changes to this bug.